/[gentoo-x86]/sys-apps/gradm/gradm-2.1.12.200805181037.ebuild
Gentoo

Contents of /sys-apps/gradm/gradm-2.1.12.200805181037.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (show annotations) (download)
Mon Oct 27 05:58:23 2008 UTC (9 years, 8 months ago) by vapier
Branch: MAIN
Changes since 1.3: +2 -2 lines
arm/s390/sh stable
(Portage version: 2.2_rc12/cvs/Linux 2.6.26.2 x86_64)

1 # Copyright 1999-2008 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-apps/gradm/gradm-2.1.12.200805181037.ebuild,v 1.3 2008/08/31 19:08:39 nixnut Exp $
4
5 inherit flag-o-matic toolchain-funcs eutils versionator
6
7 myPV="$(replace_version_separator 3 -)"
8
9 DESCRIPTION="Administrative interface for the grsecurity Role Based Access Control system"
10 HOMEPAGE="http://www.grsecurity.net/"
11 SRC_URI="mirror://gentoo/gradm-${myPV}.tar.gz"
12 #RESTRICT=primaryuri
13 LICENSE="GPL-2"
14 SLOT="0"
15 KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ppc ~ppc64 s390 sh ~sparc x86"
16 IUSE="pam"
17 RDEPEND=""
18 DEPEND="virtual/libc
19 sys-devel/bison
20 sys-devel/flex
21 pam? ( virtual/pam )
22 || ( sys-apps/paxctl sys-apps/chpax )"
23
24 S="${WORKDIR}/${PN}2"
25
26 src_unpack() {
27 unpack ${A}
28 cd "${S}"
29 epatch "${FILESDIR}"/2.1.7.200511041858-non-lazy-bindings.patch
30 sed -i -e s/MKNOD=/'MKNOD ?='/ -e s/STRIP=/'STRIP ?='/ "${S}/Makefile"
31 }
32
33 src_compile() {
34 local target=""
35 use pam || target="nopam"
36
37 emake ${target} CC="$(tc-getCC)" OPT_FLAGS="${CFLAGS}" || die "compile problem"
38 }
39
40 src_install() {
41 einstall DESTDIR="${D}" MKNOD=true STRIP=true || die "einstall failed"
42 fperms 711 /sbin/gradm
43 }
44
45 pkg_postinst() {
46 [ -e "${ROOT}"/dev/grsec ] && rm -f "${ROOT}"/dev/grsec
47 einfo "Making character device for grsec2 learning mode"
48 mkdir -p -m 755 "${ROOT}"/dev/
49 mknod -m 0622 "${ROOT}"/dev/grsec c 1 13 || die "Cant mknod for grsec learning device"
50
51 ewarn "Be sure to set a password with 'gradm -P' before enabling learning mode"
52 ewarn
53 ewarn "This version of gradm is only useful/supported with a kernel >=2.6.25!"
54 }

  ViewVC Help
Powered by ViewVC 1.1.20